Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class ColorSliderUI.QuaquaTrackListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.event.MouseInputAdapter
javax.swing.plaf.basic.BasicSliderUI.TrackListener
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderUI.QuaquaTrackListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  `ColorSliderUI`

public class ColorSliderUI.QuaquaTrackListener extends BasicSliderUI.TrackListener
Track mouse movements. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of <Foo>.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicSliderUI.TrackListener

`currentMouseX, currentMouseY, offset`

## Constructor Summary

Constructors
Constructor
Description
`QuaquaTrackListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mousePressed(MouseEvent e)`
If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.

### Methods inherited from class javax.swing.plaf.basic.BasicSliderUI.TrackListener

`mouseDragged, mouseMoved, mouseReleased, shouldScroll`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseEntered, mouseExited, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited`

## Constructor Details

### QuaquaTrackListener

public QuaquaTrackListener()

## Method Details

### mousePressed

public void mousePressed(MouseEvent e)
If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `BasicSliderUI.TrackListener`